Subject: Re: login and ssh: can't authenticate
From: Corinna Vinschen <[email-masked]>
To: Cygwin List <[email-masked]>
Cc: "Ryan T. Sammartino" <[email-masked]>
Date: Sat, 8 Dec 2001 12:10:58 +0100

On Fri, Dec 07, 2001 at 03:46:31PM -0800, Ryan T. Sammartino wrote:
> 
> 
> Yes, I have read everything in /usr/doc/Cygwin, and searched this
> mailing list, and read all of Corinna's well-written posts, and yet
> login and ssh refuse to log me in.
> 
> My /etc/passwd looks very similar to the examples in
> /usr/doc/Cygwin/login.README and /usr/doc/Cygwin/openssh-3.0.1p1-2.README.
> My CYGWIN is set to 'ntsec'.  I'm using all the latest packages as of
> the writing of this e-mail.  I've been at this for about a day now.
> 
> Here are all the details.
> 
> 
> As you can see, sshd is running, and it does accept connections:
> 
>      PID    PPID    PGID     WINPID  TTY  UID    STIME COMMAND
>      1392      1    1392       1392    ?   18 15:07:57 /usr/sbin/sshd
> 
> 
> Here is my entry in /etc/passwds, somewhat censored:
> 
> ryans:unused_by_nt/2000/xp:18:10513:Ryan T.
> Sammartino,U-*******\ryans,S-1-5-21-*******:/home/ryans:/bin/bash
> 
> 
> Now, my UID is 18 so that I could get cron working

UID 18 is reserved for SYSTEM.  You can't get user authentication
working for your account just by giving yourself uid 18.  Run sshd
as service under LocalSystem account.  Revert your /etc/passwd to
use UID 18 for SYSTEM.  cron needs the same setting, btw.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/